# config.make -- rules to remake the Makefile, c-auto.h, etc.

C_AUTO_H_DIRS = dvipsk dviljk kpathsea web2c
MAKEFILE_DIRS = $(C_AUTO_H_DIRS) web2c\lib web2c\mpware web2c\web2c

config.status: $(win32)/c-auto.h $(win32)/Makefile.win32 \
	$(win32)/Makefile.kpathsea $(win32)/Makefile.makeindex \
	$(win32)/Makefile.root \
	$(win32)/Makefile.web2c $(win32)/Makefile.web2c.doc \
	$(win32)/Makefile.web2c.lib \
	$(win32)/Makefile.web2c.mpware \
	$(win32)/Makefile.web2c.web2c $(win32)/Makefile.web2c.window
	$(TOUCH) $(win32)\config.status
	$(CP) $(win32)\c-auto.h $(srcdir)\kpathsea\c-auto.h
	$(CP) $(win32)\c-auto.h $(srcdir)\web2c\c-auto.h
	$(CP) $(win32)\Makefile.win32 $(srcdir)\win32\Makefile
	$(CP) $(win32dll)\Makefile.kpathsea $(srcdir)\kpathsea\Makefile
	$(CP) $(win32)\Makefile.root $(srcdir)\Makefile
	$(CP) $(win32dll)\Makefile.web2c $(srcdir)\web2c\Makefile
	$(CP) $(win32)\Makefile.web2c.doc $(srcdir)\web2c\doc\Makefile
	$(CP) $(win32)\Makefile.web2c.lib $(srcdir)\web2c\lib\Makefile
	$(CP) $(win32dll)\Makefile.web2c.mpware $(srcdir)\web2c\mpware\Makefile
	$(CP) $(win32)\Makefile.web2c.web2c $(srcdir)\web2c\web2c\Makefile
	$(CP) $(win32dll)\Makefile.web2c.window $(srcdir)\web2c\window\Makefile
	$(CP) $(win32dll)\Makefile.win32dll $(srcdir)\win32dll\Makefile
	$(CP) $(win32dll)\Makefile.web2c.ptex $(srcdir)\web2c\ptex\Makefile
	if exist $(srcdir)\mendexk\nul $(CP) $(win32dll)\Makefile.mendexk $(srcdir)\mendexk\Makefile
	if exist $(srcdir)\dvipsk\nul $(CP) $(win32dll)\Makefile.dvipsk $(srcdir)\dvipsk\Makefile
	if exist $(srcdir)\dvipsk\nul $(CP) $(win32)\c-auto.h $(srcdir)\dvipsk\c-auto.h

# What a pity : it can't work like this. How to substitute / for .
# in the last %%d ? 
#import_c_auto_h:
#	for %%d in ($(MAKEFILE_DIRS)) do \
#	if exist $(srcdir)\%%d\c-auto.h $(CP) $(srcdir)\%%d\c-auto.h $(win32)\c-auto.h.%%d
#
#import_makefile:
#	for %%d in ($(MAKEFILE_DIRS)) do \
#	if exist $(srcdir)\%%d\Makefile $(CP) $(srcdir)\%%d\Makefile $(win32)\Makefile.%%d
#

import-config:
	$(CP) $(srcdir)\Makefile $(win32)\Makefile.root
	$(CP) $(srcdir)\win32\Makefile $(win32)\Makefile.win32
	$(CP) $(srcdir)\dvipsk\Makefile $(win32)\Makefile.dvipsk
	$(CP) $(srcdir)\dviljk\Makefile $(win32)\Makefile.dviljk
	$(CP) $(srcdir)\kpathsea\Makefile $(win32)\Makefile.kpathsea
	$(CP) $(srcdir)\makeindex\Makefile $(win32)\Makefile.makeindex
	$(CP) $(srcdir)\web2c\Makefile $(win32)\Makefile.web2c
	$(CP) $(srcdir)\web2c\doc\Makefile $(win32)\Makefile.web2c.doc
	$(CP) $(srcdir)\web2c\lib\Makefile $(win32)\Makefile.web2c.lib
	$(CP) $(srcdir)\web2c\mpware\Makefile $(win32)\Makefile.web2c.mpware
	$(CP) $(srcdir)\web2c\web2c\Makefile $(win32)\Makefile.web2c.web2c
	$(CP) $(srcdir)\web2c\window\Makefile $(win32)\Makefile.web2c.window
	$(CP) $(srcdir)\xdvik\Makefile $(win32)\Makefile.xdvik
#	$(CP) $(srcdir)\xdvik-win32\Makefile $(win32)\Makefile.xdvik-win32

diff-config:
	$(DIFF) $(srcdir)\Makefile $(win32)\Makefile.root
	$(DIFF) $(srcdir)\win32\Makefile $(win32)\Makefile.win32
	$(DIFF) $(srcdir)\dvipsk\Makefile $(win32)\Makefile.dvipsk
	$(DIFF) $(srcdir)\dviljk\Makefile $(win32)\Makefile.dviljk
	$(DIFF) $(srcdir)\kpathsea\Makefile $(win32)\Makefile.kpathsea
	$(DIFF) $(srcdir)\makeindex\Makefile $(win32)\Makefile.makeindex
	$(DIFF) $(srcdir)\web2c\Makefile $(win32)\Makefile.web2c
	$(DIFF) $(srcdir)\web2c\doc\Makefile $(win32)\Makefile.web2c.doc
	$(DIFF) $(srcdir)\web2c\lib\Makefile $(win32)\Makefile.web2c.lib
	$(DIFF) $(srcdir)\web2c\mpware\Makefile $(win32)\Makefile.web2c.mpware
	$(DIFF) $(srcdir)\web2c\web2c\Makefile $(win32)\Makefile.web2c.web2c
	$(DIFF) $(srcdir)\web2c\window\Makefile $(win32)\Makefile.web2c.window
	$(DIFF) $(srcdir)\xdvik\Makefile $(win32)\Makefile.xdvik

#
# distrib files
#

#Makefile: $(srcdir)/Makefile.in config.status $(top_srcdir)/../make/*.make
#	$(SHELL) config.status

# This rule isn't used for the top-level Makefile, but it doesn't hurt.
# We don't depend on config.status because configure always rewrites
# config.status, even when it doesn't change. Thus it might be newer
# than c-auto.h when we don't need to remake the latter.
#c-auto.h: stamp-auto
#stamp-auto: $(srcdir)/c-auto.h.in
#	$(SHELL) config.status
#	date >$(srcdir)/stamp-auto

##ifdef HOSTNAME
### autoheader reads acconfig.h (and c-auto.h.top) automatically.
##$(srcdir)/c-auto.h.in: $(srcdir)/stamp-auto.in
##$(srcdir)/stamp-auto.in: $(configure_in) $(autoheader) \
##  $(kpathsea_srcdir)/acconfig.h
##	cd $(srcdir) && autoheader --localdir=$(kpathsea_srcdir)
##	date >$(srcdir)/stamp-auto.in
##endif

$(srcdir)\Makefile:	$(win32)\Makefile.root
	$(CP) $** $@
$(srcdir)\win32\Makefile:	$(win32)\Makefile.win32
	$(CP) $** $@
$(srcdir)\dvipsk\Makefile:	$(win32)\Makefile.dvipsk
	$(CP) $** $@
$(srcdir)\dviljk\Makefile:	$(win32)\Makefile.dviljk
	$(CP) $** $@
$(srcdir)\kpathsea\Makefile:	$(win32)\Makefile.kpathsea
	$(CP) $** $@
$(srcdir)\makeindex\Makefile:	$(win32)\Makefile.makeindex
	$(CP) $** $@
$(srcdir)\web2c\Makefile:	$(win32)\Makefile.web2c
	$(CP) $** $@
$(srcdir)\web2c\doc\Makefile:	$(win32)\Makefile.web2c.doc
	$(CP) $** $@
$(srcdir)\web2c\lib\Makefile:	$(win32)\Makefile.web2c.lib
	$(CP) $** $@
$(srcdir)\web2c\mpware\Makefile:	$(win32)\Makefile.web2c.mpware
	$(CP) $** $@
$(srcdir)\web2c\web2c\Makefile:	$(win32)\Makefile.web2c.web2c
	$(CP) $** $@
$(srcdir)\web2c\window\Makefile:	$(win32)\Makefile.web2c.window
	$(CP) $** $@
$(srcdir)\xdvik\Makefile:	$(win32)\Makefile.xdvik
	$(CP) $** $@
$(srcdir)\dvipsk\c-auto.h:	$(win32)\c-auto.h
	$(CP) $** $@
$(srcdir)\dviljk\c-auto.h:	$(win32)\c-auto.h
	$(CP) $** $@
$(srcdir)\kpathsea\c-auto.h:	$(win32)\c-auto.h
	$(CP) $** $@
$(srcdir)\web2c\c-auto.h:	$(win32)\c-auto.h
	$(CP) $** $@
$(srcdir)\xdvik\c-auto.h:	$(win32)\c-auto.h
	$(CP) $** $@

$(win32)\texmflib.lst: $(top_srcdir)\..\texmflib-$(version).tar.gz
	gzip -dc $(top_srcdir)\..\texmflib-$(version).tar.gz \
	| tar tf - \
	| $(SED) "s@^@share/@" > $(win32)\texmflib.lst
	echo share/texmf/fonts/pk>>$(win32)\texmflib.lst
	echo share/texmf_fr>>$(win32)\texmflib.lst

$(top_srcdir)\..\$(version)-win32.tar.gz: $(win32)\texmflib.lst
	tar cvXf $(win32)\texmflib.lst $(top_srcdir)\..\$(version)-win32.tar -C $(prefix) .
	gzip -9  $(top_srcdir)\..\$(version)-win32.tar

distrib: $(top_srcdir)\..\$(version)-win32.tar.gz

# End of config.make.

# Local Variables:
# mode: Makefile
# End:
